Create Recalculation BillJob - m3ter Documentation
Create Recalculation BillJob
cURL
curl --request POST \
--url https://api.m3ter.com/organizations/{orgId}/billjobs/recalculate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"billIds": [
"<string>"
],
"version": 123
}
'
Python
import requests
url = "https://api.m3ter.com/organizations/{orgId}/billjobs/recalculate"
payload = {
"billIds": ["<string>"],
"version": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)
JavaScript
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({billIds: ['<string>'], version: 123})
};
fetch('https://api.m3ter.com/organizations/{orgId}/billjobs/recalculate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.m3ter.com/organizations/{orgId}/billjobs/recalculate",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'billIds' => [
'<string>'
],
'version' => 123
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
Go
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.m3ter.com/organizations/{orgId}/billjobs/recalculate"
payload := strings.NewReader("{\n \"billIds\": [\n \"<string>\"\n ],\n \"version\": 123\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
Response Example
{
"id": "<string>",
"version": 123,
"lastDateInBillingPeriod": "2023-12-25",
"billFrequencyInterval": 123,
"billDate": "2023-12-25",
"externalInvoiceDate": "2023-12-25",
"dueDate": "2023-12-25",
"accountIds": [
"<string>"
],
"billIds": [
"<string>"
],
"targetCurrency": "<string>",
"currencyConversions": [
{
"from": "EUR",
"to": "USD",
"multiplier": 1.12
}
],
"timezone": "UTC",
"yearEpoch": "2023-12-25",
"monthEpoch": "2023-12-25",
"weekEpoch": "2023-12-25",
"dayEpoch": "2023-12-25",
"total": 123,
"pending": 123,
"dtCreated": "2023-11-07T05:31:56Z",
"dtLastModified": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"lastModifiedBy": "<string>"
}
Error Codes
- 200: Success
- 4XX: Client Error
- 5XX: Server Error
Authorization
- Authorization:
string(required)- m3ter supports machine to machine authentication using the
clientCredentialsOAuth2 flow. - The
authorizationCodeflow controls access for human users via the m3ter Console application.
- m3ter supports machine to machine authentication using the
Path Parameters
- orgId:
string(required): The unique identifier (UUID) for your Organization.
Body Parameters
billIds:
string[](required): The array of unique identifiers (UUIDs) for the Bills which are to be recalculated.version:
integer<int64>: The version number of the entity.